#include <stdio.h>
#ifdef _WIN32
	#include<Windows.h>
#endif

int G_func(int);

void main()
{
	int i;
	printf("input number :");
	scanf("%d",&i);
	printf("%d번재 항의 값 G(%d) = %d\n",(i+1),i,G_func(i));

	system("PAUSE");
}

int G_func(int n)
{
	int G;
	G=1;
	if(n>=0)
	{
		if(n==0)
			G *=1;
		else if(n==1)
			G *=2;
		else
			G=G_func(n-2) * G_func(n-2) * G_func(n-1);
	}
	return G;
}